## Overview
This project provides the ability to construct a simulated image dataset
on the fly with different characteristics. While it is possible to simulate
datasets that models can be trained against successfully, it is also useful to
adjust dataset parameters to yields datasets that much more challenging to train
against.

## Installation

### With poetry

```bash
poetry install 
```
### With pip
```bash
pip install pytorch-polkadots 
```
### From cloned repo
```bash
pip install -r requirements.txt
```
# Tests
```
bash
export PYTHONTEST=.
pytest
```

# Example image
You can see an image generated by the code with:
```bash
python main.py
```
This will display the following image:
![](example.png)

# PyTorch dataset
The code provides a pytorch dataset that you can use in benchmarks. 

```python
class PolkaDotDataset(Dataset)
```