# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['pytorch_polkadots']

package_data = \
{'': ['*']}

install_requires = \
['Pillow>=8.1.2,<9.0.0', 'torch>=1.8.1,<2.0.0']

setup_kwargs = {
    'name': 'pytorch-polkadots',
    'version': '0.1.0',
    'description': 'Provides the ability to construct a simulated image dataset on the fly with different characteristics.',
    'long_description': '## Overview\nThis project provides the ability to construct a simulated image dataset\non the fly with different characteristics. While it is possible to simulate\ndatasets that models can be trained against successfully, it is also useful to\nadjust dataset parameters to yields datasets that much more challenging to train\nagainst.\n\n## Installation\n\n### With poetry\n\n```bash\npoetry install \n```\n### With pip\n```bash\npip install pytorch-polkadots \n```\n### From cloned repo\n```bash\npip install -r requirements.txt\n```\n# Tests\n```\nbash\nexport PYTHONTEST=.\npytest\n```\n\n# Example image\nYou can see an image generated by the code with:\n```bash\npython main.py\n```\nThis will display the following image:\n![](example.png)\n\n# PyTorch dataset\nThe code provides a pytorch dataset that you can use in benchmarks. \n\n```python\nclass PolkaDotDataset(Dataset)\n```',
    'author': 'Fabien  Campagne',
    'author_email': 'fac2003@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/fac2003/polkadot',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
